gr::satellites::u482c_decode Class Reference

<+description of block+> More...

`#include <u482c_decode.h>`

Inheritance diagram for gr::satellites::u482c_decode:

## Public Types

typedef std::shared_ptr< u482c_decode > | sptr

## Static Public Member Functions

static sptr | make (bool verbose, int viterbi, int scrambler, int rs)
| Return a shared_ptr to a new instance of satellites::u482c_decode.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<u482c_decode> gr::satellites::u482c_decode::sptr

## Member Function Documentation

## make()

sptr gr::satellites::u482c_decode::make | ( | bool | verbose,
|  | int | viterbi,
|  | int | scrambler,
|  | int | rs )

static

Return a shared_ptr to a new instance of satellites::u482c_decode.

To avoid accidental use of raw pointers, satellites::u482c_decode's constructor is in a private implementation class. satellites::u482c_decode::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- u482c_decode.h